# FTXUI: AutoReset< T > Class Template Reference

Loading...
Searching...
No Matches
AutoReset< T > Class Template Reference

Assign a value to a variable, reset its old value when going out of scope. More...

`#include <autoreset.hpp>`

## Public Member Functions

| AutoReset (T *variable, T new_value)
| AutoReset (const AutoReset &)=delete
| AutoReset (AutoReset &&)=delete
AutoReset & | operator= (const AutoReset &)=delete
AutoReset & | operator= (AutoReset &&)=delete
| ~AutoReset ()

## Detailed Description

template<typename T>
class ftxui::AutoReset< T >

Assign a value to a variable, reset its old value when going out of scope.

Definition at line 13 of file autoreset.hpp.

## Constructor & Destructor Documentation

## AutoReset() [1/3]

template<typename T >

AutoReset | ( | T * | variable,
|  | T | new_value )

inline

Definition at line 15 of file autoreset.hpp.

## AutoReset() [2/3]

template<typename T >

AutoReset | ( | const AutoReset< T > & |  | ) |

delete

## AutoReset() [3/3]

template<typename T >

AutoReset | ( | AutoReset< T > && |  | ) |

delete

## ~AutoReset()

template<typename T >

~AutoReset | ( |  | ) |

inline

Definition at line 23 of file autoreset.hpp.

## Member Function Documentation

## operator=() [1/2]

template<typename T >

AutoReset & operator= | ( | const AutoReset< T > & |  | ) |

delete

## operator=() [2/2]

template<typename T >

AutoReset & operator= | ( | AutoReset< T > && |  | ) |

delete

The documentation for this class was generated from the following file:

- autoreset.hpp